//Exponential Fitting
//To exponentially fit a given set of data-points.
//Written By: Manas Sharma(www.bragitoff.com)
funcprot(0);
function [f,a,c]=expofit(x,y)
    n=size(x);
    if n(2)>n(1) then
        n=n(2)
    else
        n=n(1);
    end
    for i=1:n
        Yln(i)=log(y(i));
    end
    xsum=0;
    ysum=0;
    xysum=0;
    x2sum=0;
    for i=1:n
        xsum=x(i)+xsum;
        ysum=Yln(i)+ysum;
        x2sum=x(i)*x(i)+x2sum;
        xysum=x(i)*Yln(i)+xysum;
    end
    a=(n*xysum-xsum*ysum)/(n*x2sum-xsum*xsum);
    b=(x2sum*ysum-xsum*xysum)/(x2sum*n-xsum*xsum);
    c=exp(b);
    for i=1:n
        f(i)=c*exp(a*x(i));
    end
endfunction
